const defaultConfig = require('@wordpress/scripts/config/webpack.config');

module.exports = {
	...defaultConfig,
	entry: () => {
		const defaultEntries = defaultConfig.entry();
		return {
			...defaultEntries,
			'editor/index': './src/editor/index.js',
			'css/shared-frontend': './src/css/shared-frontend.scss',
			'css/shared-editor': './src/css/shared-editor.scss',
		};
	},
	performance: {
		hints: false,
	},
};
